﻿//============================================================================
//DSS REST API Learning Tutorial 2: DssClient class
//DssClient class responsibilities:
//Connection:
//  Hold DSS server URI.
//  Connect (and authenticate) to the DSS REST server, by creating an extraction context.
//  Retrieve the session token from the extraction context.
//============================================================================
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DataScope.Select.Api.Extractions;
using DssRestfulApiTutorials;

namespace DssRestfulApiTutorials
{
    class DssClient
    {
        //extractionsContext temporarily set to public, to expose it to our learning program.
        public ExtractionsContext extractionsContext;

        private Uri dssUri = new Uri("https://selectapi.datascope.refinitiv.com/RestApi/v1/");


        public void ConnectToServer(string dssUserName, string dssUserPassword)
        {
            extractionsContext = new ExtractionsContext(dssUri, dssUserName, dssUserPassword);
        }

        public string SessionToken
        {
            //The session token is only generated if the server connection is successful.
            get { return extractionsContext.SessionToken; }           
        }
    }
}
